---
title: "POST /_system/storages - System Storages · RUAL Documentation"
description: "Create a new storage configuration (requires setting_system_storages permission)"
canonical: https://docs.rual.nl/cluster/api/system-storages/system-storages-post
language: en
---

# POST /_system/storages

Create a new storage configuration (requires setting_system_storages permission)

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **configuration** optional | `object` | {} |  |
| **name** required | `string` | `"production"` | Storage collection name |
| **schema_definition** optional | `object` | {} |  |
| **type** required | `string` | `"elasticsearch"` | Allowed: `"elasticsearch"`, `"mysql"`, `"file"`, `"redis"` |

```
{
  "_meta": {
    "cms": 1782166695813,
    "created": 1782166695,
    "entity": 1,
    "expiry": 3600,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "removed": 0,
    "ums": 1782166695813,
    "update_hash": "60e27209fa93063b5605e41605c2722ed428cae0",
    "updated": 1782166695
  },
  "name": "production",
  "options": {
    "revisions": true,
    "revisions_expiry_time": 1782166695,
    "time_series": "2026-07-24T12:00:00Z"
  }
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `storages_create` | Required scope: storages_create |
